Description

When I tried to add a empty layer (0 register layer, due filter or no-records in table/view) a NPE exception is throw:

java.lang.NullPointerException
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:342)
    at org.gvsig.symbology.fma
va:342)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:296)
    at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:141)
    at org.gvsig.fmap.mapcontext.layers.vect
)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:141)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:308)
....
....

)
    at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:308)
....
....

This is due to PostgreSQLHelper.getFullEnvelopeOfField() method returns null if no-record or null is found as result of Select
asbinary(extent({field})) execution.

Suggestions:

1. PostgreSQLHelper.getFullEnvelopeOfField always returns a Envelope. If can't get any an empty-envelope instance will be
returned.
2. AbstractVectorialLegend.internalDraw checks if layer returns null.

History
#1 - 11/26/2013 09:10 AM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez
- Target version set to 2.1.0-2223-rc1

#2 - 11/26/2013 09:18 AM - Juan Lucas Domínguez
- Status changed from New to Fixed
Prevented null in value returned by method as suggested by jmvivo.

gvsig-postgresql:r19

#3 - 01/13/2014 09:38 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#4 - 01/28/2014 09:28 AM - Álvaro Anguix
- Status changed from Fixed to Closed
